@charset "UTF-8";

.plus {
  max-width: fit-content;
  max-height: fit-content;
  padding: 10px 25px;
  border-radius: 50px;

  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;

  background: #fff;
  border: 2.8px solid #fff;
  color: var(--black-color);

  transition: 0.4s;
}

.plus:hover {
  background: var(--black-color);
  border: 2.8px solid var(--black-color);
  color: #fff;
}

.plus::after {
  content: "";
  width: 13px;
  aspect-ratio: 1; /* 정사각형 유지 */
  background: url(../img/arrow-b.png) no-repeat center;
  background-size: contain;

  transition: 0.4s;
}

.plus:hover::after {
  content: "";
  width: 13px;
  aspect-ratio: 1; /* 정사각형 유지 */
  background: url(../img/arrow.png) no-repeat center;
  background-size: contain;

  transform: rotate(-45deg);
}

/* ======================================================plus */
#header {
  background: var(--b-black-color);
}
#header nav {
  display: flex;
  align-items: center;
  justify-content: space-between;

  padding: 23px 0;
}

#header .logo a {
  height: 30px;
}

#header .logo img {
  width: 180px;
  height: 100%;
}

#header ul {
  display: flex;
  align-items: center;
  justify-content: center;

  gap: 60px;
}

#header ul li {
  position: relative;
  padding: 10px 0;

  font-size: 20px;
  color: #fff;
}

#header .more {
  display: flex;
  gap: 29px;
}

#header .more img {
  height: 29px;
}

#header ul li::after {
  content: "";
  position: absolute;
  width: 6px;
  height: 6px;
  background-color: var(--main-color);
  border-radius: 50%;

  top: 1px;
  left: 50%;

  /* 초기 상태: 중앙으로 이동 후, 크기 0으로 숨김 */
  transform: translateX(-50%) scale(0);

  /* 애니메이션: 확대/축소 시 통통 튀는 효과 */
  transition: transform 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

/* 호버 시 동작 */
#header ul li:hover::after {
  /* 호버 시: 크기를 1로 확대하여 동그라미를 나타나게 합니다. */
  transform: translateX(-50%) scale(1);
}

#header ul li:hover {
  color: var(--main-color);
}
/* =========================================================main */
#main .hero {
  background: var(--b-black-color);
  height: 100vh;
}

#main .hero .main-inner {
  position: relative;

  height: 80vh;
  border-radius: 30px;

  overflow: hidden;
}

/* #main .hero .video-wrap::after {
  position: absolute;

  content: "";
  background: rgba(0, 0, 0, 0.1);

  width: 100%;
  height: 100%;

  bottom: 0;
  left: 0;
} */

#main .hero video {
  width: 100%;
  height: 100%;

  object-fit: cover;
}

#main .hero video source {
  width: 100%;
  height: 100%;

  position: relative;
}

#main .hero h2 {
  position: absolute;

  text-align: center;

  left: 50%;
  top: 20%;
  transform: translate(-50%, 50%);

  color: #fff;
}

/* =========================================================intro */
.intro {
  height: 100vh;
}

.intro .inner {
  padding: 180px 0;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  gap: 60px;
}

.intro dl {
  display: flex;
  align-items: center;
  flex-direction: column;

  gap: 30px;
  text-align: center;
}

.intro dl dt {
  color: var(--black-color);
  font-size: 28px;
}

.intro dl dt strong {
  font-size: 40px;
}

.intro dl dd {
  color: var(--main-color);
}

.intro figure {
  width: 300px;
  aspect-ratio: 1/1;

  overflow: hidden;
  border-radius: 50px;
}

.intro figure img {
  width: 100%;
  height: 100%;
}

/* =======================================lineup */
.lineup .main-inner {
  height: 100vh;

  padding: 150px 0;
  display: flex;
  align-items: left;
  justify-content: center;
  flex-direction: column;
  overflow: hidden;
}

.lineup .lineup-info {
  display: flex;
  justify-content: space-between;
  align-items: end;
}

.lineup .swiper {
  width: 100%;
  padding: 60px 0;
  overflow: hidden;
}

.lineup .swiper-wrapper {
  display: flex;
  align-items: center;
}

.lineup .swiper-slide {
  width: 290px;
  height: auto;
  border-radius: 30px;
  overflow: hidden;
  box-shadow: 0 3px 0px rgba(0, 0, 0, 0.1);
  transition: 0.5s;
  flex-shrink: 0;
}

.lineup .swiper-slide img {
  width: 100%;
  height: auto;
  object-fit: contain;
  display: block;
}

.lineup .swiper-slide:hover {
  transform: scale(1.05);
}

.lineup .swiper-button-prev,
.lineup .swiper-button-next {
  color: var(--black-color);
}

.lineup .plus {
  border: 2.8px solid var(--black-color);

  transition: 0.4s;
}
/* ============================================tour */
.tour {
  height: 100vh;
  background: var(--b-black-color);
  background-position: center;
}

.tour .main-inner {
  top: 50%;
  left: 0%;
  transform: translate(0, -50%);

  text-align: center;
  overflow: hidden;
  border-radius: 30px;
  position: relative;
}

.tour .video-wrap::after {
  content: "";
  position: absolute;

  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
}

.tour .video-wrap {
  position: relative;
}

.tour video {
  width: 1920px;
  height: 700px;

  object-fit: cover;
}

.tour video source {
  width: 100%;
  height: 100%;
}

.tour .tour-info {
  position: absolute;
  display: flex;
  align-items: center;
  flex-direction: column;

  gap: 60px;

  left: 50%;
  bottom: 50%;
  transform: translate(-50%, 50%);
}

.tour .tour-info p {
  text-align: center;
  font-size: 28px;
  color: #fff;
}

.tour .tour-info p strong {
  font-size: 40px;
}

/* ===========================================culture */
.culture .inner {
  padding: 150px 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  gap: 60px;
}

.culture .ct {
  display: flex;
  gap: 30px;
}

.culture .ct ul {
  min-width: 1095px;
  display: flex;
  justify-content: space-between;

  gap: 30px;
}

.culture .ct ul li {
  position: relative;
  overflow: hidden;
  border-radius: 30px;
}

.culture .ct ul li img {
  transition: 0.6s;
}

.culture .ct ul li:hover img {
  scale: 1.1;
}

.culture .ct ul li:hover::after {
  content: "";
  opacity: 0;
}

.culture .ct ul li::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;

  background: rgba(0, 0, 0, 0.2);
  transition: 0.6s;
  pointer-events: none; /* 👈 클릭 방해 안 함 */

  opacity: 1;
}

.culture .ct dl {
  width: 345px;
  aspect-ratio: 1/1;
  display: flex;
  align-items: center;
  justify-content: center;

  flex-direction: column;

  gap: 60px;
}

.culture .ct dl dt {
  font-size: 28px;
  font-weight: 600;
}

.culture .plus {
  border: 2.8px solid var(--black-color);
  color: var(--black-color);

  transition: 0.4s;
}

.culture .plus:hover {
  color: #fff;
}

/* ===================================playlist */
.playlist .main-inner {
  position: relative;
  overflow: hidden;
  border-radius: 30px;

  height: 200px;
  margin-bottom: 90px;
}

.playlist video {
  width: 100%;
  height: 100%;
  background-size: contain;
  object-fit: cover;
  object-position: center 2%;
  cursor: pointer;
}

.playlist .play-btn {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background: none;
  border: none;
  cursor: pointer;
  transition: 0.3s;
  z-index: 10;
}

.playlist .play-btn:hover {
  transform: translate(-50%, -50%) scale(1.05);
}

.playlist .ply-info {
  position: absolute;

  left: 50%;
  bottom: 18%;
  transform: translateX(-50%);
  width: 94%;

  display: flex;
  align-items: end;
  justify-content: space-between;
  z-index: 5;
}

.playlist .ply-info dl {
  color: #fff;
  font-weight: 500;
}

.playlist .ply-info dl dt {
  color: #fff;
  font-size: 28px;
}

.playlist .ply-info dl dd {
  margin-top: 30px;
}
/* ================================================footer */
#footer {
  background: var(--b-black-color);
  padding: 120px 0 60px 0;
  font-family: "pretendard";
}

#footer .main-inner {
  display: flex;
  justify-content: space-between;
  align-items: end;

  color: var(--gray-color);
}

/* ++++++++++sns */
#footer .sns {
  padding: 20px 0;
  display: flex;
  gap: 30px;
}

#footer .sns a {
  position: relative;
  background: var(--main-color);

  padding: 20px 8px;
  border-radius: 10px;

  transition: 0.3s;
}

#footer .sns a img {
  width: 35px;
  height: 35px;

  object-fit: contain;
}

#footer .sns a::after {
  content: "";
  position: absolute;
  width: 80%;
  height: 3px;

  left: 50%;
  bottom: -12%;
  border-radius: 50px;
  transform: translateX(-50%);

  background: var(--main-color);
}
#footer .sns a::before {
  content: "";
  position: absolute;
  width: 80%;
  height: 3px;

  left: 50%;
  top: -12%;
  border-radius: 50px;
  transform: translateX(-50%);

  background: var(--main-color);
}

#footer .sns a:hover::before {
  top: -18%;
  transform: translateX(-50%) rotate(12deg);
}

/* ++++++++++sns */

#footer ul {
  display: flex;
  align-items: center;
  justify-content: left;

  gap: 60px;
  font-size: 18px;
  font-weight: 600;
}

#footer ul strong {
  font-weight: 700;
  color: var(--main-color);
}

#footer .foot-info {
  margin-top: 60px;

  display: flex;
  flex-direction: column;

  gap: 30px;

  font-size: 14px;
  font-weight: 600;
}

#footer .foot-info dl {
  display: flex;
  align-items: center;

  gap: 30px;
}

#footer .foot-top {
  display: flex;
  flex-direction: column;
  align-items: start;

  gap: 15px;

  font-size: 16px;
  font-weight: 500;
}

#footer .foot > p {
  margin-top: 30px;

  font-size: 12px;

  color: #888e9c;
}
